[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TFileItem.BasePath

Path to the directory where the file item is stored on the local file system.

## Declaration

Source position: shellctrls.pas line 69

`public property TFileItem.BasePath : string read FBasePath;`

## Description

BasePath is assigned in the Create constructor using the value passed in the ABasePath argument.

## See also

TFileItem.Create |  | Constructor for the class instance.
TFileItem.FileInfo |  | TSearchRec instance with information about the file or directory in the item.
TFileItem.isFolder |  | True when the item represents a folder on the local file system.